# ビルドを実行するディレクトリ
MAKE_DIRS = samples/
# cleanを実行するディレクトリ
ALL_DIRS = $(MAKE_DIRS) doc/ test/ src/

DIST_DIR = /usr/local/

default : build
all : build

.PHONY : build
build:
	for dir in $(MAKE_DIRS) ; \
	do \
		$(MAKE) -C $$dir ; \
	done

.PHONY : clean
clean :
	for dir in $(ALL_DIRS) ; \
	do \
		$(MAKE) -C $$dir clean; \
	done
	rm *~ -f

.PHONY : install
install : 
	cp -r src/MiX $(DIST_DIR)include/
